/**
 * 
 */
package org.gcube.portlets.user.workspace.client.util;

/**
 * @author Francesco Mangiacrapa francesco.mangiacrapa@isti.cnr.it
 * @Jun 25, 2013
 *
 */
public class WindowOpenParameter {
	
	String option;
	String parameters;
	String itemName;
	
	/**
	 * 
	 */
	public WindowOpenParameter() {
	}
	

	/**
	 * 
	 * @param option the name of the window (e.g. "_blank")
	 * @param itemName 
	 * @param parameters param=value&param1=value1&...
	 */
	public WindowOpenParameter(String option, String itemName, String parameters) {
		super();
		this.option = option;
		this.itemName = itemName;
		this.parameters = parameters;
	}


	public String getParameters() {
		return parameters;
	}

	public void setParameters(String parameters) {
		this.parameters = parameters;
	}

	public String getOption() {
		return option;
	}

	public void setOption(String option) {
		this.option = option;
	}


	public String getItemName() {
		return itemName;
	}


	public void setItemName(String itemName) {
		this.itemName = itemName;
	}
	
	
	
}
